public static interface DebeziumPostgresEndpointBuilderFactory.DebeziumPostgresBuilders
| Modifier and Type | Method and Description |
|---|---|
default DebeziumPostgresEndpointBuilderFactory.DebeziumPostgresEndpointBuilder |
debeziumPostgres(String path)
Debezium PostgresSQL Connector (camel-debezium-postgres)
Capture changes from a PostgresSQL database.
|
default DebeziumPostgresEndpointBuilderFactory.DebeziumPostgresEndpointBuilder |
debeziumPostgres(String componentName,
String path)
Debezium PostgresSQL Connector (camel-debezium-postgres)
Capture changes from a PostgresSQL database.
|
default DebeziumPostgresEndpointBuilderFactory.DebeziumPostgresEndpointBuilder debeziumPostgres(String path)
debezium-postgres:name
Path parameter: name (required)
Unique name for the connector. Attempting to register again with the
same name will fail.path - namedefault DebeziumPostgresEndpointBuilderFactory.DebeziumPostgresEndpointBuilder debeziumPostgres(String componentName, String path)
debezium-postgres:name
Path parameter: name (required)
Unique name for the connector. Attempting to register again with the
same name will fail.componentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel